Subject: RE: new net release structure question.
From: "Shamsutdinov, Salikhyan" <[email-masked]>
To: "'Robert McNulty Junior'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Sat, 29 Apr 2000 06:14:00 -0700

Robert,

I don't have problems with installing new cygwin. I can receive bash promt
when I start cygwin.bat. I only cannot understand why do I need to have two
file with the same name but different sizes both in \usr\bin and \bin
folders on Windows. When I start to use something it will use only one of
them what is the first in the path. What is the relations betwen that pair
of files? I don't want to use two binary folders like in UNIX. I prefer to
put all the binaries to the one folder (concatenate /bin and /usr/bin
folders ). And then start everything from one folder. 
Or by default it is installing in the foloowing way:
1. If I start command from dos-command line it will look at c:\cygroot\bin
first, the c:\cygroot\usr\local\bin then (as the default cygwin.bat created
), so I cannot see c:\cygroot\usr\bin folder as it is not in the path
2. In unix as there is mount point /usr/bin to c:\cygroot\bin it will search
only in /usr/bin

My question was why two files with the same names but different sizes are in
c:\cygroot\bin and c:\cygroot\usr\bin. What is the relations between them?
What are these files? What is real binary, what is the second file if first
one is binary I have to use?

Thanks,
Salikhyan.

-----Original Message-----
From: Robert McNulty Junior [mailto:[email-masked]]
Sent: Saturday, April 29, 2000 2:35 PM
To: Shamsutdinov, Salikhyan
Subject: Re: new net release structure question.

Sal, try my way again.
This time, use setup.
All work.bat does is set the enviroment varible to the bin directory where
tar.exe, gzip.exe and cygwin1.dll are at.
Setup.exe goes into the tempdir itself, or where you saved it.
About the tar files I had: Netscape Communicator renamed the .tar.gz to
.tar. That is what happened.
Right now, I'm trying to get Xfree86 for my project. See you in a bit.
1) Download all the tar.gz in each of the directories in the latest
directory of the German site, saving them to a tempory directory.
2) get setup.exe and bootstrap.zip. Put them in the temp directory
3)  unzip the bootstap.zip. I used unzip fond found else on the net.
4) with a text editor, make a bat file that will point to the point setup to
the bin directory in the temp directory.
5) execute the bat file
6) run setup. It will call the gzip and the tar.
You see, setup makes a directory on where you chose to set the root
directory. I call mine "cygnus". When it creates that directory, it wil
creat \bin. \usr, and a bunch of others.
Setup.exe is the key. It works and it works great.
You can find all the binary code for the Cygwin C/C++ compiler at the German
site, or any where in Europe, Japan, and the boring USA.
I am using the one of the UK site because I keep getting a timeout error on
my US site.
About the mount points: We are emuluting Unix and Linux under window.
Window path would be like this:
c:\cygnus\bin
c:\cygnus\usr

Because we are under bash, the format for Unix is:
/bin
/usr

in the mount:
mount c:\cygnus\bin /usr/bin

Mount acts like the path command that you use under Windows.
Mount tells Cygwin what path to look for when reading file.

gcc.exe is in the /bin directory,
when you start Cygwin, you use a bat file called Cygwin.bat.
Type cygwin.
If all goes well, you should see a prompt like this:
BASH 2.03$
type ls
you should get a directory.

if you type gcc -v, it should point to a specs file under /usr.
Robert McNulty Junior

_____________________________________________
NetZero - Defenders of the Free World
Click here for FREE Internet Access and Email
http://www.netzero.net/download/index.html

--
Want to unsubscribe from this list?
Send a message to [email-masked]